<%@ page session="true" contentType="text/html;charset=UTF-8" %>
<%@ page language="java"  %>
<%@ page import="java.util.*"  %>
<%@ page import="java.io.*"  %>
<%@ page import="java.sql.*"  %>
<%@ page import="java.lang.*"  %>
<%@ page import="java.net.*"  %>
<%@ page import="com.matrix.common.*" %>
<%@ page import="com.matrix.common.DEFS"  %>
<%@ page import="com.matrix.common.XMatrix"  %>
<%@ page import="com.matrix.util.Util"  %>



<%
String s_uid = (String) session.getAttribute("s_uid");
if(Util.isEmpty(s_uid)) {
%>
<script>
	alert("Session expired.  Login again!");
	location.href = "index.jsp";
</script>
<%
}
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AUD플랫폼 Server 환경 진단</title>

	<link rel="stylesheet" type="text/css" href="js/easyui/themes/default/easyui.css">
	<link rel="stylesheet" type="text/css" href="js/easyui/themes/icon.css">
	<script type="text/javascript" src="js/easyui/jquery-1.7.1.min.js"></script>
	<script type="text/javascript" src="js/easyui/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="js/easyui/datagrid-scrollview.js"></script>

<link rel="stylesheet" href="./css/css_common.css" type="text/css">        



<%
	String realPath = application.getRealPath("");

	String	product = request.getParameter("product");
	String	ipaddr = request.getParameter("ipaddr");
	String	sid = request.getParameter("sid");
	String	userid = request.getParameter("userid");
	String	password = request.getParameter("password");
	String	port = request.getParameter("port");
	int portNo = Integer.parseInt(port);
	String	dbname = request.getParameter("dbname");
	String	sqlText = null;

	Connection con = null;
	Statement stmt = null;
	ResultSet rs = null;

	int productNo = Integer.parseInt(product);
	String jdbcUrl ="";

	InetAddress ia = null;
	Socket soc = null;
	PrintWriter out1 = null;
	BufferedReader in = null;

	String ConnectionValue = null;
	String ipCheckValue = null;
	String portCheckValue = null;

	switch(productNo)
	{

		case 1:
		case 11:
			sqlText =" select 1 from dual";
			break;
		case 7:
		case 14:
		case 15:
		case 23:
		case 31:
			sqlText ="select 1";
			break;
		case 4:
			sqlText ="SELECT 1 FROM SYSIBM.SYSDUMMY1";
			break;
		case 8:
			sqlText ="SELECT 1 FROM DB_ROOT";
			break;
		default:
			sqlText ="select 1";
			break;

	}

	switch(productNo)
	{

		case 1:
			jdbcUrl ="jdbc:oracle:thin:@" + ipaddr + ":" + port + "/" + sid;
		break;
		case 23:
			jdbcUrl ="jdbc:sqlserver://" + ipaddr + ":" + port + ";databaseName="+ dbname;
		break;
		case 4:
			jdbcUrl ="jdbc:db2://" + ipaddr + ":" + port + "/"+ dbname;
		break;
		case 14:
		case 15:
			jdbcUrl ="jdbc:mysql://" + ipaddr + ":" + port + "/"+ dbname + "?autoReconnect=true";
		break;
		case 11:
			jdbcUrl ="jdbc:tibero:thin:@" + ipaddr + ":" + port + ":"+ dbname;
		break;
		case 8:
			jdbcUrl ="jdbc:cubrid:" + ipaddr + ":" + port + ":"+ dbname + ":::";
		break;
		case 7:
			jdbcUrl ="jdbc:teradata://" + ipaddr + "/DBS_PORT=" + port + ",DATABASE="+ dbname + ",rescharset=ASCII,client_charset=cp949";
		break;
		case 31:
			jdbcUrl ="jdbc:postgresql://" + ipaddr + ":" + port + "/"+ dbname;
		break;

	}

	String dbUser = userid;
	String dbPass = password;

try{
	try {
		switch(productNo)
		{
			case 1:
					Class.forName("oracle.jdbc.driver.OracleDriver");
				break;
			case 23:
					Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
				break;
			case 4:
					Class.forName("com.ibm.db2.jcc.DB2Driver");
				break;
			case 14:
					Class.forName("com.mysql.jdbc.Driver");
				break;
			case 11:
					Class.forName("com.tmax.tibero.jdbc.TbDriver");
				break;
			case 8:
					Class.forName("cubrid.jdbc.driver.CUBRIDDriver");
				break;
			case 7:
					Class.forName("com.teradata.jdbc.TeraDriver");
				break;
			case 31:
					Class.forName("org.postgresql.Driver");
				break;
		}
	
	} catch(ClassNotFoundException e) {
		out.println("driver loading error!" + e.getMessage());
		//return;
	}
	
	
	try {
		DriverManager.setLoginTimeout(10);
		con = DriverManager.getConnection(jdbcUrl, dbUser, dbPass);
		ConnectionValue = "정상";
	} catch(SQLException e) {
		out.println("connection error!" + e.getMessage());
		ConnectionValue = "Repository 연결 오류.  Network/DBMS 상태 확인";
	}

	try {
		stmt = con.createStatement();

		String query = sqlText; 
		rs = stmt.executeQuery(query);

		ResultSetMetaData rsMeta = rs.getMetaData();
		int colCnt = rsMeta.getColumnCount();
	
		while(rs.next()) {
			for(int i=1;i<=colCnt;i++){
			}
		}
		//out.println("정상적으로 접속 되었습니다.");
		ConnectionValue = "정상";
	} catch(SQLException e ) {
		//out.println(e.toString());
		ConnectionValue = "SQL 실행 오류";
	}

} catch(Exception e) {
	e.printStackTrace();
} finally {
	if(rs !=null) rs.close();
	if(stmt != null) stmt.close();
	if(con != null) con.close();
}

try {
	ia = InetAddress.getByName(ipaddr);
	boolean ping = ia.isReachable(1000);
	soc = new Socket(ia, portNo);

	ipCheckValue = "정상";
	portCheckValue = "정상";
		
}catch (Exception e) {
	ipCheckValue = "접속불가";
	portCheckValue = "접속불가";
}

%>


</head>
<body>
<div>
<div id="all_wrap">
	<div id="con_wrap">
		<div class="portlet-box-gray">

			<div class="mBtn">
				<div class="rt">
					<!--
					<span class="button blue"><a href="#" onclick="SaveFile()">환경저장</a></span>
					-->
					<span class="button blue"><a href="#" onclick="$('#ww').window('open')">진단결과 저장</a></span>
				</div>
			</div>
			<br>

			<div class="top">
				<div class="box">
					<div class="innerbox">AUD플랫폼 Server 환경진단</div>
					<div class="xbox">
						<!--
						<a href="#"><img src="./images/popup_box_icon.gif" alt="x"/></a>
						-->
					</div>
				</div>
			</div>
			<div class="middle">
				<div class="box">
					<div class="tit">
						<h3>Server 환경 정보</h3>
					</div>        
					<table class="lgy_rst">
						<colgroup>
							<col width="300px" />
							<col width=""/>
						</colgroup>
						<thead>
							<tr>
								<th>체크항목</th>
								<th>결과</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<th>Java Version</th>
								<td><%=System.getProperty("java.version")%></td>
							</tr>
							<tr>
								<th>Java Home Path</th>
								<td><%=System.getProperty("java.home")%></td>
							</tr>
							<tr>
								<th>Java Type</th>
								<td><%=System.getProperty("java.vendor")%></td>
							</tr>
							<tr>
								<th>WAS Encoding</th>
								<td><%=System.getProperty("file.encoding")%></td>
							</tr>
							<tr>
								<th>Application Context Root</th>
								<td><%=realPath%></td>
							</tr>
							<tr>
								<th>OS</th>
								<td><%=System.getProperty("os.name") +" "+ System.getProperty("os.version")%></td>
							</tr>
							<tr>
								<th>OS CPU BIT</th>
								<td><%=System.getProperty("os.arch")%></td>
							</tr>
							<tr>
								<th>OS CPU Core</th>
								<td><%=String.valueOf(Runtime.getRuntime().availableProcessors())%></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>

			<div class="middle">
				<div class="box">
					<div class="tit">
						<h3>Repository DB Connection Test 결과</h3>
					</div>
					<table class="lgy_rst">
						<colgroup>
							<col width="300px" />
							<col width=""/>
						</colgroup>
						<thead>
							<tr>
								<th>체크항목</th>
								<th>결과</th>
							</tr>
						</thead>
						
						<tbody>
							<tr>
								<td class="t_bold">DB Connection</td>
								<td class="t_center"><%=ConnectionValue%></td>
							</tr>
							<tr>
								<td class="t_bold">DB Server Port</td>
								<td class="t_center"><%=portCheckValue%></td>
							</tr>
							<tr>
								<td class="t_bold">DB Server IP</td>
								<td class="t_center"><%=ipCheckValue%></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="bottom">
				<div class="box">
					<div class="innerbox">
					</div>
				</div>
			</div>

		</div>
	</div>
</div>
</div>

<div>
    <div id="ww" class="easyui-dialog" title="AUD플랫폼 Server 환경 정보 저장" data-options="modal:true,closed:true,iconCls:'icon-save'" style="width:850px;height:220px;padding:10px;">
		<iframe width="800" height="150" src="SaveFileDefault.jsp?ConnectionValue='+<%=ConnectionValue%>+'&portCheckValue='+<%=portCheckValue%>+'&ipCheckValue='+<%=ipCheckValue%>" scrolling="auto" 
		frameborder="0"></iframe>
   </div>
</div>
           
<script type="text/javascript">
function SaveFile()
{


		//location.href = "SaveFileDefault.jsp";
		var ConnectionValue = "<%=ConnectionValue%>";
		var portCheckValue = "<%=portCheckValue%>";
		var ipCheckValue = "<%=ipCheckValue%>";
		location.href = "SaveFileDefault.jsp?ConnectionValue="+encodeURIComponent(ConnectionValue)+"&portCheckValue="+encodeURIComponent(portCheckValue)+"&ipCheckValue="+encodeURIComponent(ipCheckValue);

		//location.href = "testAAA.jsp?product="+product+"&ipaddr="+ipaddr+"&sid="+sid+"&userid="+userid+"&password="+password+"&port="+port+"&dbname="+dbname;

}

function clickCancel()
{
	//this.close();
	//window.close();
	location.href = "index.jsp";
}
</script>

</body>
</html>
